Package org.codehaus.groovy.ast.expr

# Class NamedArgumentListExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.MapExpression
org.codehaus.groovy.ast.expr.NamedArgumentListExpression

public class NamedArgumentListExpression extends MapExpression
Represents one or more arguments being passed into a method by name

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`NamedArgumentListExpression()`
`NamedArgumentListExpression(List<MapEntryExpression> mapEntryExpressions)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions

### Methods inherited from class org.codehaus.groovy.ast.expr.MapExpression

`addMapEntryExpression, addMapEntryExpression, getMapEntryExpressions, getText, isDynamic, toString, visit`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamedArgumentListExpression

public NamedArgumentListExpression()

### NamedArgumentListExpression

public NamedArgumentListExpression(List<MapEntryExpression> mapEntryExpressions)

## Method Details

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Overrides:
  `transformExpression` in class `MapExpression`
Parameters:
  `transformer` -